﻿/*
* 메가펜스 UI용 CSS V.210803
* copyright : dev@devy.co.kr
----------------------------------------------------
2021-08-14
    add .is-normal-weight, .is-bold-weight
*/

/*font*/
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+KR:wght@100;200;300;400;500;600;700;800&display=swap');

/* 페이지 외부의 master page (sitemesh)에서 생성하는 element를 가리기 위해*/
#wg-body-wrapper {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    /* IE 호환성 보완 */
    background: rgb(0,0,0); /* Fallback for web browsers that don't support RGBa nor filter */
    background: transparent\9; /* backslash 9 hack to prevent IE 8 from falling into the fallback */
    background: rgba(0,0,0,0.5); /* RGBa declaration for browsers that support it */
    background-image: url(../img/background-pc.jpg?v=210801);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 999900;
}


#wg-ui-wrapper .is-bold-weight {
    font-weight: bold;
}

#wg-ui-wrapper .is-normal-weight {
    font-weight: normal;
}

#wg-ui-wrapper p, #wg-ui-wrapper span, #wg-ui-wrapper div {
    font-family: 'Noto Sans KR', sans-serif;
    font-size: 1rem;
    line-height: 1.5rem;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}


#wg-ui-wrapper .is-mobile-only {
    display: none;
}

#wg-ui-wrapper .is-desktop-only {
    display: inline-block;
}

#wg-ui-wrapper span.seperator {
    padding: 0 2rem;
}

#wg-ui-wrapper {
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    /* IE 호환성 보완 */
    /*background: rgb(0,0,0);*/ /* Fallback for web browsers that don't support RGBa nor filter */
    /*background: transparent\9;*/ /* backslash 9 hack to prevent IE 8 from falling into the fallback */
    /*background: rgba(0,0,0,0.5);*/ /* RGBa declaration for browsers that support it */
    /*filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#FFFFFF00,endColorstr=#FFFFFF00);*/ /* needed for IE 6-8 */
    background-color: lightgray;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 999999;
}

    #wg-ui-wrapper div.wg-ui-box {
        position: fixed;
        width: 100%;
        width: 1080px;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        border-radius: 1rem;
        box-shadow: 0 0 1rem rgba(0,0,0,0.2);
        text-align: center;
        background: #FFFFFF;
    }

        #wg-ui-wrapper div.wg-ui-box .logo {
            display: inline-block;
            margin-bottom: 0.5rem;
            overflow: hidden;
        }

            #wg-ui-wrapper div.wg-ui-box .logo img {
                width: 100%;
                max-width: 15rem;
            }

        #wg-ui-wrapper div.wg-ui-box .welcome * {
            color: black;
            font-size: 1.6rem;
            font-weight: 500;
            line-height: 2rem;
            margin-top: 1.5rem;
            margin-bottom: 0.5rem;
        }

        #wg-ui-wrapper div.wg-ui-box div.waiting-info {
            display: inline-block;
            box-sizing: border-box;
            background: #FFFFFF;
            /* IE 호환성 보완 */
            background: rgb(255,255,255); /* Fallback for web browsers that don't support RGBa nor filter  */
            background: transparent\9; /* backslash 9 hack to prevent IE 8 from falling into the fallback */
            background: rgba(255,255,255,0.9); /*RGBa declaration for browsers that support it */
            width: 80%;
            height: 100%;
            padding: 3rem 2rem;
            text-align: center;
            border-radius: 10px;
        }

            #wg-ui-wrapper div.wg-ui-box div.waiting-info hr {
                margin: 4rem 0;
                border: none;
                border-bottom: 1px solid #e0e0e0;
                width: 100%;
            }

            #wg-ui-wrapper div.wg-ui-box div.waiting-info p.title {
                margin: 0;
                margin-bottom: 1.2rem;
                font-size: 2rem;
                font-weight: 700;
                color: #46417d;
            }

            #wg-ui-wrapper div.wg-ui-box div.waiting-info p.subtitle {
                margin: 0.5rem 0;
                margin-bottom: 2rem;
                font-size: 1.2rem;
                color: #808080;
                font-weight: 400;
            }

            #wg-ui-wrapper div.wg-ui-box div.waiting-info div.waiting-count {
                margin: 1.4rem 0;
                font-size: 1.5rem;
                text-align: center;
            }

                #wg-ui-wrapper div.wg-ui-box div.waiting-info div.waiting-count span {
                    font-size: 1.2rem;
                    font-weight: 500;
                    color: black;
                }

                    #wg-ui-wrapper div.wg-ui-box div.waiting-info div.waiting-count span.count {
                        font-size: 1.5rem;
                        font-weight: 900;
                        color: #ca225a;
                    }


                #wg-ui-wrapper div.wg-ui-box div.waiting-info div.waiting-count img.icon {
                    display: inline-block;
                    width: 1.6rem;
                    margin-right: 0.5rem;
                    vertical-align: middle;
                }

                #wg-ui-wrapper div.wg-ui-box div.waiting-info div.waiting-count img.indicator {
                    width: 4rem;
                }


            #wg-ui-wrapper div.wg-ui-box div.waiting-info div.progress-bar {
                position: relative;
                display: inline-block;
                width: 70%;
                max-width: 640px;
                height: 1.4rem;
                background-color: #d0d0d0;
            }


                #wg-ui-wrapper div.wg-ui-box div.waiting-info div.progress-bar div.gage {
                    width: 0;
                    height: 100%;
                    /*background: #7b1818;*/
                    /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#499bea+0,207ce5+100;Blue+3d+%237 */
                    background: #ca225a;
                }

                #wg-ui-wrapper div.wg-ui-box div.waiting-info div.progress-bar div.ack-retry-info {
                    position: absolute;
                    display: inline-block;
                    color: lightgray;
                    font-weight: normal;
                    font-size: 0.7rem;
                    left: 50%;
                    top: 50%;
                    transform: translate(-50%,-50%);
                }


            #wg-ui-wrapper div.wg-ui-box div.waiting-info div.loading {
                font-size: 1.5rem;
                text-align: center;
                padding: 1.5rem;
            }

            #wg-ui-wrapper div.wg-ui-box div.waiting-info div.notice {
                margin-top: 5rem;
            }

                #wg-ui-wrapper div.wg-ui-box div.waiting-info div.notice span {
                    color: #9d9d9d;
                    font-size: 1.15rem;
                    font-weight: 500;
                }

/*Mobile*/
@media only screen and (max-width: 640px) {
    #wg-ui-wrapper .is-mobile-only {
        display: inline-block;
    }

    #wg-ui-wrapper .is-desktop-only {
        display: none;
    }

    #wg-ui-wrapper div.wg-ui-box {
        position: fixed;
        width: 580px;
        padding: 0;
    }

        #wg-ui-wrapper div.wg-ui-box div.waiting-info {
            padding: 2rem 1rem;
        }

            #wg-ui-wrapper div.wg-ui-box div.waiting-info hr {
                margin: 3rem 0;
            }


            #wg-ui-wrapper div.wg-ui-box div.waiting-info div.progress-bar {
                width: 100%;
            }
            #wg-ui-wrapper div.wg-ui-box div.waiting-info div.notice {
                margin-top: 3rem;
            }


}

/* mobile scaling */
/*
@media only screen and (max-width: 720px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(720/640.0));
    }
}

@media only screen and (max-width: 700px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(700/640.0));
    }
}

@media only screen and (max-width: 680px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(680/640.0));
    }
}

@media only screen and (max-width: 660px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(660/640.0));
    }
}
*/
@media only screen and (max-width: 640px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(640/640.0));
    }
}

@media only screen and (max-width: 620px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(620/640.0));
    }
}

@media only screen and (max-width: 600px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(600/640.0));
    }
}

@media only screen and (max-width: 580px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(580/640.0));
    }
}

@media only screen and (max-width: 560px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(560/640.0));
    }
}

@media only screen and (max-width: 540px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(540/640.0));
    }
}

@media only screen and (max-width: 520px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(520/640.0));
    }
}

@media only screen and (max-width: 500px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(500/640.0));
    }
}

@media only screen and (max-width: 480px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(480/640.0));
    }
}

@media only screen and (max-width: 460px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(460/640.0));
    }
}

@media only screen and (max-width: 440px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(440/640.0));
    }
}

@media only screen and (max-width: 420px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(420/640.0));
    }
}

@media only screen and (max-width: 400px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(400/640.0));
    }
}

@media only screen and (max-width: 390px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(390/640.0));
    }
}

@media only screen and (max-width: 380px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(380/640.0));
    }
}

@media only screen and (max-width: 370px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(370/640.0));
    }
}

@media only screen and (max-width: 360px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(360/640.0));
    }
}

@media only screen and (max-width: 350px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(350/640.0));
    }
}

@media only screen and (max-width: 340px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(340/640.0));
    }
}

@media only screen and (max-width: 330px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(330/640.0));
    }
}

@media only screen and (max-width: 320px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(320/640.0));
    }
}

@media only screen and (max-width: 310px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(310/640.0));
    }
}

@media only screen and (max-width: 300px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(300/640.0));
    }
}

@media only screen and (max-width: 290px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(290/640.0));
    }
}

@media only screen and (max-width: 280px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(280/640.0));
    }
}

@media only screen and (max-width: 270px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(270/640.0));
    }
}

@media only screen and (max-width: 260px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(260/640.0));
    }
}

@media only screen and (max-width: 250px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(250/640.0));
    }
}

@media only screen and (max-width: 240px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(240/640.0));
    }
}

@media only screen and (max-width: 230px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(230/640.0));
    }
}

@media only screen and (max-width: 220px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(220/640.0));
    }
}

@media only screen and (max-width: 210px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(210/640.0));
    }
}

@media only screen and (max-width: 200px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(200/640.0));
    }
}

@media only screen and (max-width: 190px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(190/640.0));
    }
}

@media only screen and (max-width: 180px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(180/640.0));
    }
}

@media only screen and (max-width: 170px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(170/640.0));
    }
}

@media only screen and (max-width: 160px) {
    #wg-ui-wrapper div.wg-ui-box {
        transform: translate(-50%, -50%) scale(calc(160/640.0));
    }
}
